#upload_form_div {
    display: none;
    position: absolute;
    z-index: 2000;
    width: 260px;
    background-color: #f3f3f3;
    margin-top: 5px;
    border: 1px #999999 solid;
    padding: 10px;
}

#ref_checkbox {
    background-image: url(/images/checkbox.png);
}

.disabledButton {
    background: -webkit-gradient(linear, left top, left bottom, from(#cecece), to(#575757));
    background: linear-gradient(180deg, #cecece 0%, #575757 100%);
}

.disabledButton:hover {
    opacity: 0.6;
    /*background: -webkit-gradient(linear, left top, left bottom, from(#a6d1cb), to(#5e8883));*/
    /*background: linear-gradient(180deg, #a6d1cb 0%, #5e8883 100%);*/
}

.update_icon {
    background-size: 25px 25px;
    padding: 15px;
    margin-top: 2px;
    margin-bottom:2px;
    background-repeat: no-repeat;
    background-position: center center;
}

#apkFirmClose {
    width:20px;
    height:20px;
    background-image: url("/images/close_black.png");
    background-size: contain;
    position: absolute;
    right: 3px;
    top: 3px;
    cursor: pointer;
}

#download_apk {
    width: 100%;
    height:100%;
}

.image_filter {
    min-width: 24px;
}

#apkFirmText {
    margin-left: 2px;
    color: black;
    margin-bottom: 3px;
    text-align: left;
}

#apkFirmList {
    width: 260px;
    left: 10px;
    margin-bottom: 5px;
    position: absolute;
}

.dropzone, .dropzone * {
    box-sizing: border-box; }

.dropzone {
    text-transform: uppercase;
    font-size: 12px;
    font-weight: bold;
    text-shadow: black 1px 1px 3px;
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2), 0 6px 20px 0 rgba(0,0,0,0.19);
    background-image: url("/images/b1.png");
    background-size: cover;
    -webkit-transition-duration: 0.4s; /* Safari */
    transition-duration: 0.4s;
    width: 100%;
    height: 70px; }

.dropzone.dz-clickable {
    cursor: pointer;
    margin: 0px;
}

.dropzone:hover {
    background-image: url("/images/b2.png");
    background-size: contain;
}

.dropzone.dz-clickable * {
    cursor: default;
}
.dropzone.dz-clickable .dz-message, .dropzone.dz-clickable .dz-message * {
    cursor: pointer;
    padding-top: 40px;}
.dropzone.dz-started .dz-message {
    display: none; }
.dropzone.dz-drag-hover {
    background-color: #66FF66;
    color: black;
    -webkit-transition-duration: 0.4s; /* Safari */
    transition-duration: 0.4s;
}
.dropzone.dz-drag-hover .dz-message {
    opacity: 0.5; }
.dropzone .dz-message {
    text-align: center;
}
.dropzone .dz-preview {
    height: 100%;
    position: relative;
    vertical-align: top; }
.dropzone .dz-preview:hover {
    z-index: 1000; }
.dropzone .dz-preview:hover .dz-details {
    position:absolute;
    bottom: 0px; }
.dropzone .dz-preview.dz-file-preview .dz-image {
    margin-top: 4px;
    display: none;
    margin-left: 4px;
    border-radius: 3px;
    background: #999;
    background: linear-gradient(to bottom, #eee, #ddd); }
.dropzone .dz-preview.dz-file-preview .dz-details {
    opacity: 1;
    z-index:2000;}
.dropzone .dz-preview.dz-image-preview {
    background: white; }
.dropzone .dz-preview.dz-image-preview .dz-details {
    -webkit-transition: opacity 0.2s linear;
    -moz-transition: opacity 0.2s linear;
    -ms-transition: opacity 0.2s linear;
    -o-transition: opacity 0.2s linear;
    transition: opacity 0.2s linear; }
.dropzone .dz-preview .dz-remove {
    font-size: 14px;
    text-align: center;
    display: block;
    cursor: pointer;
    border: none; }
.dropzone .dz-preview .dz-remove:hover {
    text-decoration: underline; }
.dropzone .dz-preview:hover .dz-details {
    opacity: 1; }
.dropzone .dz-preview .dz-details {
    z-index: 20;
    position: absolute;
    top: 10px;
    left: 0;
    opacity: 0;
    font-size: 13px;
    min-width: 100%;
    max-width: 100%;
    text-align: center;
    color: rgba(0, 0, 0, 0.9); }
.dropzone .dz-preview .dz-details .dz-size {
    font-size: 12px; }
.dropzone .dz-preview .dz-details .dz-filename {
    white-space: nowrap; }
.dropzone .dz-preview .dz-details .dz-filename:hover span {}
.dropzone .dz-preview .dz-details .dz-filename:not(:hover) {
    overflow: hidden;
    text-overflow: ellipsis; }
.dropzone .dz-preview .dz-details .dz-filename:not(:hover) span {
    border: 1px solid transparent; }
.dropzone .dz-preview .dz-details .dz-filename span, .dropzone .dz-preview .dz-details .dz-size span {}
.dropzone .dz-preview:hover .dz-image img {
    -webkit-transform: scale(1.05, 1.05);
    -moz-transform: scale(1.05, 1.05);
    -ms-transform: scale(1.05, 1.05);
    -o-transform: scale(1.05, 1.05);
    transform: scale(1.05, 1.05);
    -webkit-filter: blur(8px);
    filter: blur(8px); }
.dropzone .dz-preview .dz-image {
    border-radius: 3px;
    overflow: hidden;
    width: 40px;
    height: 40px;
    position: relative;
    display: block;
    z-index: 10; }
.dropzone .dz-preview .dz-image img {
    display: block; }
.dropzone .dz-preview.dz-success .dz-success-mark {
    -webkit-animation: passing-through 3s cubic-bezier(0.77, 0, 0.175, 1);
    -moz-animation: passing-through 3s cubic-bezier(0.77, 0, 0.175, 1);
    -ms-animation: passing-through 3s cubic-bezier(0.77, 0, 0.175, 1);
    -o-animation: passing-through 3s cubic-bezier(0.77, 0, 0.175, 1);
    animation: passing-through 3s cubic-bezier(0.77, 0, 0.175, 1); }
.dropzone .dz-preview.dz-error .dz-error-mark {
    opacity: 1;
    -webkit-animation: slide-in 3s cubic-bezier(0.77, 0, 0.175, 1);
    -moz-animation: slide-in 3s cubic-bezier(0.77, 0, 0.175, 1);
    -ms-animation: slide-in 3s cubic-bezier(0.77, 0, 0.175, 1);
    -o-animation: slide-in 3s cubic-bezier(0.77, 0, 0.175, 1);
    animation: slide-in 3s cubic-bezier(0.77, 0, 0.175, 1); }
.dropzone .dz-preview .dz-success-mark, .dropzone .dz-preview .dz-error-mark {
    pointer-events: none;
    opacity: 0;
    z-index: 500;
    position: absolute;
    top: -2px;
    margin-left: 4px;
}
.dropzone .dz-preview .dz-success-mark svg, .dropzone .dz-preview .dz-error-mark svg {
    display: block;
    width: 54px;
    height: 54px; }
.dropzone .dz-preview.dz-processing .dz-progress {
    opacity: 1;
    -webkit-transition: all 0.2s linear;
    -moz-transition: all 0.2s linear;
    -ms-transition: all 0.2s linear;
    -o-transition: all 0.2s linear;
    transition: all 0.2s linear; }
.dropzone .dz-preview.dz-complete .dz-progress {
    opacity: 0;
    -webkit-transition: opacity 0.4s ease-in;
    -moz-transition: opacity 0.4s ease-in;
    -ms-transition: opacity 0.4s ease-in;
    -o-transition: opacity 0.4s ease-in;
    transition: opacity 0.4s ease-in; }
.dropzone .dz-preview:not(.dz-processing) .dz-progress {
    -webkit-animation: pulse 6s ease infinite;
    -moz-animation: pulse 6s ease infinite;
    -ms-animation: pulse 6s ease infinite;
    -o-animation: pulse 6s ease infinite;
    animation: pulse 6s ease infinite; }
.dropzone .dz-preview .dz-progress {
    opacity: 1;
    z-index: 1000;
    padding-left: 3px;
    padding-right: 3px;
    pointer-events: none;
    position: absolute;
    height: 100%;
    /* left: 50%; */
    /* top: 8; */
    /* margin-top: -8px; */
    width: 100%;
    /* margin-left: -40px; */
    background: rgba(255, 255, 255, 0.5);
    -webkit-transform: scale(1);
    overflow: hidden; }
.dropzone .dz-preview .dz-progress .dz-upload {
    background: rgba(0,0,0,0.5);
    padding-left: 3px;
    padding-right: 3px;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 0;
    -webkit-transition: width 300ms ease-in-out;
    -moz-transition: width 300ms ease-in-out;
    -ms-transition: width 300ms ease-in-out;
    -o-transition: width 300ms ease-in-out;
    transition: width 300ms ease-in-out; }
.dropzone .dz-preview.dz-error .dz-error-message {
    display: block; }
.dropzone .dz-preview.dz-error:hover .dz-error-message {
    opacity: 1;
    pointer-events: auto; }
